%global pypi_name funcsigs

Summary:        Python function signatures from PEP362 for Python 2.6, 2.7 and 3.2+
Name:           python-%{pypi_name}
Version:        1.0.2
Release:        6%{?dist}
License:        ASL 2.0
URL:            https://github.com/testing-cabal/funcsigs?
Source0:        https://pypi.io/packages/source/f/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

Patch3000:      no-unittest2.patch

BuildArch:      noarch

%description
funcsigs is a backport of the PEP 362 function signature features from Python 3.3's inspect module.
The backport is compatible with Python 2.6, 2.7 as well as 3.2 and up.

%package -n     python3-%{pypi_name}
Summary:        Python function signatures from PEP362 for Python 2.6, 2.7 and 3.2+
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
funcsigs is a backport of the PEP 362 function signature features from Python 3.3's inspect module.
The backport is compatible with Python 2.6, 2.7 as well as 3.2 and up.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
python3 -m unittest tests.test_formatannotation
python3 -m unittest tests.test_funcsigs
python3 -m unittest tests.test_inspect

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py?.*.egg-info/

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 16 2023 Shuo Wang <abushwang@tencent.com> - 1.0.2-1
- initial build
